Export map info for multipath.
--- diff/drivers/md/dm.c	2005-02-07 16:19:49.000000000 +0000
+++ source/drivers/md/dm.c	2005-02-07 16:24:57.000000000 +0000
@@ -43,6 +43,13 @@
 	union map_info info;
 };
 
+union map_info *dm_get_mapinfo(struct bio *bio)
+{
+        if (bio && bio->bi_private)
+                return &((struct target_io *)bio->bi_private)->info;
+        return NULL;
+}
+
 /*
  * Bits for the md->flags field.
  */
@@ -1164,6 +1171,8 @@
 	.owner = THIS_MODULE
 };
 
+EXPORT_SYMBOL(dm_get_mapinfo);
+
 /*
  * module hooks
  */
--- diff/drivers/md/dm.h	2005-02-07 16:23:44.000000000 +0000
+++ source/drivers/md/dm.h	2005-02-07 16:24:57.000000000 +0000
@@ -190,5 +190,6 @@
 void dm_stripe_exit(void);
 
 void *dm_vcalloc(unsigned long nmemb, unsigned long elem_size);
+union map_info *dm_get_mapinfo(struct bio *bio);
 
 #endif
